Project

General

Profile

Bug #43720

qa/workunits/rest/test-restful.sh fails

Added by Sage Weil about 1 month ago. Updated 25 days ago.

Status:
Resolved
Priority:
Urgent
Assignee:
-
Category:
-
Target version:
% Done:

0%

Source:
Tags:
Backport:
Regression:
No
Severity:
3 - minor
Reviewed:
Affected Versions:
ceph-qa-suite:
Pull request ID:
Crash signature:

Description

2020-01-20T15:44:48.673 INFO:tasks.workunit.client.a.smithi017.stdout:URL = https://smithi017:8003/perf?daemon=.*
2020-01-20T15:44:48.685 INFO:tasks.workunit.client.a.smithi017.stderr:Traceback (most recent call last):
2020-01-20T15:44:48.685 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3/dist-packages/urllib3/response.py", line 302, in _error_catcher
2020-01-20T15:44:48.685 INFO:tasks.workunit.client.a.smithi017.stderr:    yield
2020-01-20T15:44:48.686 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3/dist-packages/urllib3/response.py", line 384, in read
2020-01-20T15:44:48.686 INFO:tasks.workunit.client.a.smithi017.stderr:    data = self._fp.read(amt)
2020-01-20T15:44:48.686 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3.6/http/client.py", line 459, in read
2020-01-20T15:44:48.686 INFO:tasks.workunit.client.a.smithi017.stderr:    n = self.readinto(b)
2020-01-20T15:44:48.686 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3.6/http/client.py", line 503, in readinto
2020-01-20T15:44:48.686 INFO:tasks.workunit.client.a.smithi017.stderr:    n = self.fp.readinto(b)
2020-01-20T15:44:48.686 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3.6/socket.py", line 586, in readinto
2020-01-20T15:44:48.687 INFO:tasks.workunit.client.a.smithi017.stderr:    return self._sock.recv_into(b)
2020-01-20T15:44:48.687 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3.6/ssl.py", line 1012, in recv_into
2020-01-20T15:44:48.687 INFO:tasks.workunit.client.a.smithi017.stderr:    return self.read(nbytes, buffer)
2020-01-20T15:44:48.687 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3.6/ssl.py", line 874, in read
2020-01-20T15:44:48.687 INFO:tasks.workunit.client.a.smithi017.stderr:    return self._sslobj.read(len, buffer)
2020-01-20T15:44:48.687 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3.6/ssl.py", line 631, in read
2020-01-20T15:44:48.687 INFO:tasks.workunit.client.a.smithi017.stderr:    v = self._sslobj.read(len, buffer)
2020-01-20T15:44:48.688 INFO:tasks.workunit.client.a.smithi017.stderr:ConnectionResetError: [Errno 104] Connection reset by peer
2020-01-20T15:44:48.688 INFO:tasks.workunit.client.a.smithi017.stderr:
2020-01-20T15:44:48.688 INFO:tasks.workunit.client.a.smithi017.stderr:During handling of the above exception, another exception occurred:
2020-01-20T15:44:48.688 INFO:tasks.workunit.client.a.smithi017.stderr:
2020-01-20T15:44:48.688 INFO:tasks.workunit.client.a.smithi017.stderr:Traceback (most recent call last):
2020-01-20T15:44:48.688 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3/dist-packages/requests/models.py", line 745, in generate
2020-01-20T15:44:48.688 INFO:tasks.workunit.client.a.smithi017.stderr:    for chunk in self.raw.stream(chunk_size, decode_content=True):
2020-01-20T15:44:48.688 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3/dist-packages/urllib3/response.py", line 436, in stream
2020-01-20T15:44:48.689 INFO:tasks.workunit.client.a.smithi017.stderr:    data = self.read(amt=amt, decode_content=decode_content)
2020-01-20T15:44:48.689 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3/dist-packages/urllib3/response.py", line 401, in read
2020-01-20T15:44:48.689 INFO:tasks.workunit.client.a.smithi017.stderr:    raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
2020-01-20T15:44:48.689 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3.6/contextlib.py", line 99, in __exit__
2020-01-20T15:44:48.689 INFO:tasks.workunit.client.a.smithi017.stderr:    self.gen.throw(type, value, traceback)
2020-01-20T15:44:48.689 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3/dist-packages/urllib3/response.py", line 320, in _error_catcher
2020-01-20T15:44:48.689 INFO:tasks.workunit.client.a.smithi017.stderr:    raise ProtocolError('Connection broken: %r' % e, e)
2020-01-20T15:44:48.689 INFO:tasks.workunit.client.a.smithi017.stderr:urllib3.exceptions.ProtocolError: ("Connection broken: ConnectionResetError(104, 'Connection reset by peer')", ConnectionResetError(104, 'Connection reset by peer'))
2020-01-20T15:44:48.690 INFO:tasks.workunit.client.a.smithi017.stderr:
2020-01-20T15:44:48.690 INFO:tasks.workunit.client.a.smithi017.stderr:During handling of the above exception, another exception occurred:
2020-01-20T15:44:48.690 INFO:tasks.workunit.client.a.smithi017.stderr:
2020-01-20T15:44:48.690 INFO:tasks.workunit.client.a.smithi017.stderr:Traceback (most recent call last):
2020-01-20T15:44:48.690 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/home/ubuntu/cephtest/clone.client.a/qa/workunits/rest/test_mgr_rest_api.py", line 91, in <module>
2020-01-20T15:44:48.690 INFO:tasks.workunit.client.a.smithi017.stderr:    auth=auth)
2020-01-20T15:44:48.690 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3/dist-packages/requests/api.py", line 72, in get
2020-01-20T15:44:48.691 INFO:tasks.workunit.client.a.smithi017.stderr:    return request('get', url, params=params, **kwargs)
2020-01-20T15:44:48.691 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3/dist-packages/requests/api.py", line 58, in request
2020-01-20T15:44:48.691 INFO:tasks.workunit.client.a.smithi017.stderr:    return session.request(method=method, url=url, **kwargs)
2020-01-20T15:44:48.691 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 520, in request
2020-01-20T15:44:48.691 INFO:tasks.workunit.client.a.smithi017.stderr:    resp = self.send(prep, **send_kwargs)
2020-01-20T15:44:48.691 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 670, in send
2020-01-20T15:44:48.691 INFO:tasks.workunit.client.a.smithi017.stderr:    r.content
2020-01-20T15:44:48.691 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3/dist-packages/requests/models.py", line 823, in content
2020-01-20T15:44:48.692 INFO:tasks.workunit.client.a.smithi017.stderr:    self._content = bytes().join(self.iter_content(CONTENT_CHUNK_SIZE)) or bytes()
2020-01-20T15:44:48.692 INFO:tasks.workunit.client.a.smithi017.stderr:  File "/usr/lib/python3/dist-packages/requests/models.py", line 748, in generate
2020-01-20T15:44:48.692 INFO:tasks.workunit.client.a.smithi017.stderr:    raise ChunkedEncodingError(e)
2020-01-20T15:44:48.692 INFO:tasks.workunit.client.a.smithi017.stderr:requests.exceptions.ChunkedEncodingError: ("Connection broken: ConnectionResetError(104, 'Connection reset by peer')", ConnectionResetError(104, 'Connection reset by peer'))

/a/sage-2020-01-20_14:55:07-rados-wip-sage-testing-2020-01-19-1713-distro-basic-smithi/4688294
description: rados/rest/{mgr-restful.yaml supported-random-distro$/{ubuntu_latest.yaml}}

History

#1 Updated by Sage Weil 26 days ago

//a/sage-2020-01-24_23:29:53-rados-wip-sage2-testing-2020-01-24-1408-distro-basic-smithi/4702997

#2 Updated by Sage Weil 25 days ago

  • Target version set to v15.0.0

#3 Updated by Sage Weil 25 days ago

1. This appears to only happen on 18.04, but not on el 8:

el8: http://pulpito.ceph.com/sage-2020-01-27_15:35:35-rados-wip-sage2-testing-2020-01-24-1408-distro-basic-smithi
18.04: http://pulpito.ceph.com/sage-2020-01-27_15:35:27-rados-wip-sage2-testing-2020-01-24-1408-distro-basic-smithi

2. It looks like a client-side error message? In the log, the request returns 200.

#4 Updated by Sage Weil 25 days ago

  • Pull request ID set to 32920

1. This appears to only happen on 18.04, but not on el 8:

el8: http://pulpito.ceph.com/sage-2020-01-27_15:35:35-rados-wip-sage2-testing-2020-01-24-1408-distro-basic-smithi
18.04: http://pulpito.ceph.com/sage-2020-01-27_15:35:27-rados-wip-sage2-testing-2020-01-24-1408-distro-basic-smithi

2. It looks like a client-side error message? In the log, the request returns 200.

#5 Updated by Sage Weil 25 days ago

  • Status changed from New to Fix Under Review

#6 Updated by Sage Weil 25 days ago

  • Status changed from Fix Under Review to Resolved

Also available in: Atom PDF